matrix:
  platform:
    - macos
    - macos_arm64
    - ubuntu2204
    - ubuntu2404
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod"
      - "--incompatible_disallow_empty_glob=false"
      - "--cxxopt=-std=c++17"
    build_targets:
      - "@iceoryx2//..."
  verify_debian11_targets:
    name: Verify build targets
    platform: debian11
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod"
      - "--incompatible_disallow_empty_glob=false"
      - "--cxxopt=-std=c++17"
      - "--linkopt=-lrt"
    build_targets:
      - "@iceoryx2//..."
  verify_ubuntu2004_targets:
    name: Verify build targets
    platform: ubuntu2004
    bazel: ${{ bazel }}
    build_flags:
      - "--enable_bzlmod"
      - "--incompatible_disallow_empty_glob=false"
      - "--cxxopt=-std=c++17"
      - "--linkopt=-lrt"
    build_targets:
      - "@iceoryx2//..."
